Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration
Class ConfigurationFactory.AdditionalConfigurationData

    java.lang.Object
      org.apache.commons.configuration.ConfigurationFactory.AdditionalConfigurationData

Enclosing class:
  ConfigurationFactory

    public static class ConfigurationFactory.AdditionalConfigurationData

extends Object

A simple data class that holds all information about a configuration from the `<additional>` section.

Constructor Summary
`ConfigurationFactory.AdditionalConfigurationData()`

Method Summary
`void` | `addConfiguration(Configuration config)` Sets the configuration object.
`String` | `getAt()` Returns the value of the `at` attribute.
`Configuration` | `getConfiguration()` Returns the configuration object.
`void` | `setAt(String string)` Sets the value of the `at` attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationFactory.AdditionalConfigurationData

    public ConfigurationFactory.AdditionalConfigurationData()

Method Detail

### getAt

    public String getAt()

  Returns the value of the `at` attribute.

  Returns:
    the at attribute

### setAt

    public void setAt(String string)

  Sets the value of the `at` attribute.

  Parameters:
    `string` - the attribute value

### getConfiguration

    public Configuration getConfiguration()

  Returns the configuration object.

  Returns:
    the configuration

### addConfiguration

    public void addConfiguration(Configuration config)

  Sets the configuration object. Note: Normally this method should be named `setConfiguration()`, but the name `addConfiguration()` is required by some of the digester rules.

  Parameters:
    `config` - the configuration to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 The Apache Software Foundation. All Rights Reserved.